//filename iic.c
#include "iic.h"

uint8_t i2cInit(void){
	int error;
	const sys_cfg_i2c_t sys_i2c_cfg = NULL; /* No system specific configuration needed. */
	I2C_Shutdown(I2C_MASTER0);
  if((error = I2C_Init(I2C_MASTER0, I2C_STD_MODE, &sys_i2c_cfg)) != E_NO_ERROR) { 
      printf("Error initializing I2C%d.  (Error code = %d)\n", I2C_MASTER_IDX, error);
      return 1;
  }
	I2C_Shutdown(I2C_MASTER1);
  if((error = I2C_Init(I2C_MASTER1, I2C_STD_MODE, &sys_i2c_cfg)) != E_NO_ERROR) {
      printf("Error initializing I2C%d.  (Error code = %d)\n", I2C_MASTER_IDX, error);
      return 1;
  }
  NVIC_EnableIRQ(I2C0_IRQn);
	NVIC_EnableIRQ(I2C1_IRQn);
	return 0;
}

void delay_ms(uint16_t ms){
	mxc_delay(ms*1000);
}
